Get license line of authorities (LOAs) for subscribed NPNs
Returns all license LOA records for NPNs you are currently subscribed to
Query Parameters
comma separated list of license IDs
Example:10000,1000033,21733
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Response
application/json
Response
Success
Container for a list of license records in version 2
Show Child Parameters
Show Child Parameters
Get license line of authorities for an associated license
Returns all license line of authorities associated with a unique license ID
Path Parameters
License ID of the data to return
Example:1234567
Response
application/hal+json
Response
Success
Container for a list of license records in version 2
Show Child Parameters
Show Child Parameters
Get license for a specific NPN
Returns all licenses associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.
Query Parameters
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
true or false indicating a search for active licenses (in its absence, both active and inactive licenses will be returned)
comma separated list of LOA codes to filter licenses. This will return all licenses that match at least one of the specified LOA codes.
Example:12,3
comma seperated list of loa categories - this will filter on the loaMapping.categories array (it will return all records containing at least one of the values passed)
Example:casualty, property
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Token for fetching the next page of results
Path Parameters
National Producer Number (npn) of the data to return
Example:123456789
Response
application/hal+json
Response
Success
Show Child Parameters
Show Child Parameters
Get licenses by ID
Retrieves a single license record using its unique license ID.
Path Parameters
Unique license ID
Response
application/hal+json
Response
Success
LicensesV1
Base schema containing common license fields.
Unique identifier for the license.
Example:1234567
National Producer Number associated with the license.
Example:18551108
Example:337f638b-b0dd-4d9f-80f5-29a9158d0286
State where the license applies.
>= 2 characters<= 2 characters
Example:AL
Identifier for a related branch, if applicable.
Last date NIPR reported an update to this license.
Example:2020-12-16
Date of the creation of this record in AgentSync.
Example:2021-04-04
Date of the most recent update to this record in AgentSync.
Example:2024-12-02
License number associated with NPN.
Example:897579550
The date the license was originally issued
Example:2016-04-22
The date the license is set to expire.
Example:2022-04-22
The classification or type of license issued
Example:Insurance Producer
The code representing the license class
Example:3
Indicates whether the license holder is a resident (“R”) or non-resident (“NR”)
Example:R
Indicates whether the license is currently active
Adjuster Designated Home State - the state the producer designated as their home state for adjuster
licensing. Populated only when the state reports one.
>= 2 characters<= 2 characters
Example:TX
Show Child Parameters
Example:Producer
Indicates if the license was marked deleted by NIPR.
Show Child Parameters
Contains calculated renewal windows and classification
Show Child Parameters
Get license line of authority by ID
Retrieves a single line of authority record using its unique loa ID.
Path Parameters
Unique line of authority ID
Response
application/hal+json
Response
Success
LicenseLoaV1
unique identifier for the license line of authority (loa) record
Example:1234567
unique identifier for the associated license
Example:967373
Example:ae51f10b-8b5e-40ba-98a9-8f860392b344
The line of authority associated with the license (e.g., Property, Casualty)
Example:Property
A code representing the line of authority
Example:12
The date the line of authority was issued
Example:2004-01-21
Date of the creation of this record in AgentSync
Example:2021-04-04
Date of the most recent update to this record in AgentSync
Example:2024-12-02
Current status of the line of authority. One of Active, Cancelled, or Inactive
Allowed values:ActiveCancelledInactive
Example:Active
Reason from the state explaining the current status, such as why a line of authority is inactive or
cancelled. Free text passed through from NIPR - not a fixed set of values, and often absent.
The date the current status reason became effective
Example:2020-12-26
Continuing education (CE) compliance status. One of EXEMPT, IN COMPLIANCE, N/A, NOT IN COMPLIANCE or NULL
Example:IN COMPLIANCE
Date by which continuing education credits must be completed for this line of authority.
Example:2026-03-31
Number of continuing education credits required for compliance
Show Child Parameters
Indicates if the license was marked deleted by NIPR